Bug 42910 - Appliance could not be joined because the license on the DC Master is not activated.
Appliance could not be joined because the license on the DC Master is not act...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Setup wizard
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-09 16:53 CET by Florian Best
Modified: 2018-01-16 18:33 CET (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.206
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2017121321000061, 2017122221000366, 2018010621000334, 2018010621000156, 2017121121000145, 2017111821000287, 2016110321000762, 2017060521000034, 2017062521000051, 2017062821000189, 2017080421000541, 2017081421000648, 2017082121000018, 2017082421000549
Bug group (optional): External feedback, Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-11-09 16:53:05 CET
4.1-3 errata239 (Vahr)
The setup shows:
"""
Kopano Core Appliance could not be joined because the license on the DC Master is not activated.
"""


Remark: ???
Comment 1 Florian Best univentionstaff 2017-06-12 14:31:48 CEST
ownCloud Appliance could not be joined because the license on the DC Master is not activated.

Reported again, 4.1-4 errata420 (Vahr)

I think we should also improve this sentence to be more expeditionary.
Comment 2 Florian Best univentionstaff 2017-06-27 10:09:47 CEST
Reported again, 4.1-4 errata420 (Vahr)
Comment 3 Florian Best univentionstaff 2017-07-07 16:25:59 CEST
Reported again, 4.1-4 errata430 (Vahr)
Comment 4 Florian Best univentionstaff 2017-08-15 09:06:01 CEST
Reported again, 4.1-4 errata439 (Vahr)
Comment 5 Florian Best univentionstaff 2017-08-15 09:06:42 CEST
Reported again, 4.2-1 errata118 (Lesum)
Comment 6 Florian Best univentionstaff 2017-08-21 11:20:09 CEST
Version: 4.2-1 errata118 (Lesum)
Comment 7 Florian Best univentionstaff 2017-08-29 14:11:11 CEST
Version: 4.1-4 errata439 (Vahr)
Comment 8 Florian Best univentionstaff 2017-11-13 18:06:31 CET
The check for the license has been moved after checking the SSH connection. If this fails one cannot switch to the next page, so it is ensured the join process can't be started if the license is disabled. The error message has slightly been improved.

The wrong IP address was used in certain scenarios, e.g. if the nameserver is not the UCS DC Master. This has been fixed as well so that the address of the DC Master is taken.

univention-system-setup (10.0.10-47)
8f592aeee9cc | Bug #42910: fix check of license in an appliance scenario

univention-systen-setup.yaml
5f6567b20699 | YAML Bug #42910
Comment 9 Johannes Keiser univentionstaff 2017-11-21 15:06:39 CET
OK Error shown when joining into UCS Domain (without license)
OK Error shown when joining into AD Domain with existing UCS master (without license)
OK Error message
OK YAML (64b1b33 Bug #42910: YAML - update version)
-> verified
Comment 10 Arvid Requate univentionstaff 2017-11-22 16:30:25 CET
<http://errata.software-univention.de/ucs/4.2/227.html>
Comment 11 Johannes Keiser univentionstaff 2017-11-28 18:09:25 CET
Reported again: Version: 4.2-2 errata216 (Lesum)
Comment 12 Johannes Keiser univentionstaff 2017-11-28 18:10:25 CET
ownCloud Appliance kann nicht gejoined werden. Es liegt keine aktivierte Lizenz auf dem DC Master vor.
Comment 13 Johannes Keiser univentionstaff 2017-12-11 17:41:27 CET
Reported again:  Version: 4.2-2 errata216 (Lesum)

ownCloud Appliance could not be joined because the license on the DC Master is not activated.
Comment 14 Johannes Keiser univentionstaff 2018-01-12 18:00:46 CET
Reported again: Version: 4.2-2 errata216 (Lesum)
Comment 15 Johannes Keiser univentionstaff 2018-01-12 18:06:21 CET
Reported again: Version: 4.2-2 errata216 (Lesum)
Comment 16 Johannes Keiser univentionstaff 2018-01-15 17:06:04 CET
Reported again: Version: 4.2-2 errata216 (Lesum)
Comment 17 Johannes Keiser univentionstaff 2018-01-16 18:10:30 CET
Reported again: Version: 4.2-2 errata216 (Lesum)
Comment 18 Johannes Keiser univentionstaff 2018-01-16 18:16:01 CET
Reported again: Version: 4.2-2 errata216 (Lesum)
Comment 19 Johannes Keiser univentionstaff 2018-01-16 18:33:02 CET
Reported again:  Version: 4.2-2 errata216 (Lesum)
Remark: check this
Ticket#2017121421000131